# FungiblePostCondition | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- FungiblePostCondition

## Index

### Properties

- amount
- assetInfo
- conditionCode
- conditionType
- principal
- type

## Properties

### Readonly amount

amount: BigNum

- Defined in packages/transactions/src/postcondition.ts:59

### Readonly assetInfo

assetInfo: AssetInfo

- Defined in packages/transactions/src/postcondition.ts:60

### Readonly conditionCode

conditionCode: FungibleConditionCode

- Defined in packages/transactions/src/postcondition.ts:58

### Readonly conditionType

conditionType: Fungible

- Defined in packages/transactions/src/postcondition.ts:56

### Readonly principal

principal: PostConditionPrincipal

- Defined in packages/transactions/src/postcondition.ts:57

### Readonly type

type: PostCondition

- Defined in packages/transactions/src/postcondition.ts:55

Generated using TypeDoc